"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const qwik = require("@builder.io/qwik");
const builder_context = require("../../context/builder.context.qwik.cjs");
const components_context = require("../../context/components.context.qwik.cjs");
const block = require("../block/block.qwik.cjs");
const blocksWrapper = require("./blocks-wrapper.qwik.cjs");
const Blocks = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const builderContext = qwik.useContext(builder_context);
  const componentsContext = qwik.useContext(components_context);
  return /* @__PURE__ */ qwik._jsxC(blocksWrapper.BlocksWrapper, {
    get blocks() {
      return props.blocks;
    },
    get parent() {
      return props.parent;
    },
    get path() {
      return props.path;
    },
    get styleProp() {
      return props.styleProp;
    },
    get classNameProp() {
      return props.className;
    },
    get BlocksWrapper() {
      var _a;
      return ((_a = props.context) == null ? void 0 : _a.BlocksWrapper) || (builderContext == null ? void 0 : builderContext.BlocksWrapper);
    },
    get BlocksWrapperProps() {
      var _a;
      return ((_a = props.context) == null ? void 0 : _a.BlocksWrapperProps) || (builderContext == null ? void 0 : builderContext.BlocksWrapperProps);
    },
    children: props.blocks ? (props.blocks || []).map((block$1) => {
      return /* @__PURE__ */ qwik._jsxC(block.Block, {
        block: block$1,
        get linkComponent() {
          return props.linkComponent;
        },
        get context() {
          return props.context || builderContext;
        },
        get registeredComponents() {
          return props.registeredComponents || (componentsContext == null ? void 0 : componentsContext.registeredComponents);
        },
        [qwik._IMMUTABLE]: {
          context: qwik._fnSignal((p0, p1) => p1.context || p0, [
            builderContext,
            props
          ], "p1.context||p0"),
          linkComponent: qwik._fnSignal((p0) => p0.linkComponent, [
            props
          ], "p0.linkComponent"),
          registeredComponents: qwik._fnSignal((p0, p1) => p1.registeredComponents || (p0 == null ? void 0 : p0.registeredComponents), [
            componentsContext,
            props
          ], "p1.registeredComponents||p0?.registeredComponents")
        }
      }, 3, block$1.id);
    }) : null,
    [qwik._IMMUTABLE]: {
      BlocksWrapper: qwik._fnSignal((p0, p1) => {
        var _a;
        return ((_a = p1.context) == null ? void 0 : _a.BlocksWrapper) || (p0 == null ? void 0 : p0.BlocksWrapper);
      }, [
        builderContext,
        props
      ], "p1.context?.BlocksWrapper||p0?.BlocksWrapper"),
      BlocksWrapperProps: qwik._fnSignal((p0, p1) => {
        var _a;
        return ((_a = p1.context) == null ? void 0 : _a.BlocksWrapperProps) || (p0 == null ? void 0 : p0.BlocksWrapperProps);
      }, [
        builderContext,
        props
      ], "p1.context?.BlocksWrapperProps||p0?.BlocksWrapperProps"),
      blocks: qwik._fnSignal((p0) => p0.blocks, [
        props
      ], "p0.blocks"),
      classNameProp: qwik._fnSignal((p0) => p0.className, [
        props
      ], "p0.className"),
      parent: qwik._fnSignal((p0) => p0.parent, [
        props
      ], "p0.parent"),
      path: qwik._fnSignal((p0) => p0.path, [
        props
      ], "p0.path"),
      styleProp: qwik._fnSignal((p0) => p0.styleProp, [
        props
      ], "p0.styleProp")
    }
  }, 1, "0n_0");
}, "Blocks_component_PI1ErWPzPEg"));
exports.Blocks = Blocks;
exports.default = Blocks;
