const get = (obj, path, defaultValue) => {
  const result = String.prototype.split.call(path, /[,[\].]+?/).filter(Boolean).reduce((res, key) => res !== null && res !== void 0 ? res[key] : res, obj);
  return result === void 0 || result === obj ? defaultValue : result;
};
export {
  get
};
