import { SizeName } from "../../constants/device-sizes";
import { Dictionary } from "../../types/typescript";
import { Column, ColumnProps } from "./columns.types";
type CSSVal = string | number;
export declare const getTagName: (props: any, state: any, gutterSize: any, cols: any, stackAt: any, flexDir: any, column: Column) => any;
export declare const getWidth: (props: any, state: any, gutterSize: any, cols: any, stackAt: any, flexDir: any, index: number) => any;
export declare const getColumnCssWidth: (props: any, state: any, gutterSize: any, cols: any, stackAt: any, flexDir: any, index: number) => string;
export declare const getTabletStyle: (props: any, state: any, gutterSize: any, cols: any, stackAt: any, flexDir: any, { stackedStyle, desktopStyle, }: {
    stackedStyle: CSSVal;
    desktopStyle: CSSVal;
}) => CSSVal;
export declare const getMobileStyle: (props: any, state: any, gutterSize: any, cols: any, stackAt: any, flexDir: any, { stackedStyle, desktopStyle, }: {
    stackedStyle: CSSVal;
    desktopStyle: CSSVal;
}) => CSSVal;
export declare const columnsCssVars: (props: any, state: any, gutterSize: any, cols: any, stackAt: any, flexDir: any) => Dictionary<string>;
export declare const columnCssVars: (props: any, state: any, gutterSize: any, cols: any, stackAt: any, flexDir: any, index: number) => Dictionary<string>;
export declare const getWidthForBreakpointSize: (props: any, state: any, gutterSize: any, cols: any, stackAt: any, flexDir: any, size: SizeName) => number;
export declare const columnsStyles: (props: any, state: any, gutterSize: any, cols: any, stackAt: any, flexDir: any) => string;
export declare const getAttributes: (props: any, state: any, gutterSize: any, cols: any, stackAt: any, flexDir: any, column: any, index: number) => {
    style: string | Partial<CSSStyleDeclaration>;
    href?: any;
};
export declare const Columns: import("@builder.io/qwik").Component<ColumnProps>;
export default Columns;
export declare const STYLES = "\n.div-Columns {\n  display: flex;\n  line-height: normal;\n  height: 100%;\n}\n";
