"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const qwik = require("@builder.io/qwik");
const blocks = require("../../components/blocks/blocks.qwik.cjs");
const activeTabContent = function activeTabContent2(props, state, active) {
  return props.tabs && props.tabs[active].content;
};
const onClick = function onClick2(props, state, index) {
  if (index === state.activeTab && props.collapsible)
    state.activeTab = -1;
  else
    state.activeTab = index;
};
const Tabs = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  qwik._jsxBranch();
  const state = qwik.useStore({
    activeTab: props.defaultActiveTab ? props.defaultActiveTab - 1 : 0
  });
  return /* @__PURE__ */ qwik._jsxQ("div", null, null, [
    /* @__PURE__ */ qwik._jsxQ("div", null, {
      class: "builder-tabs-wrap",
      style: qwik._fnSignal((p0) => ({
        display: "flex",
        flexDirection: "row",
        justifyContent: p0.tabHeaderLayout || "flex-start",
        overflow: "auto"
      }), [
        props
      ], '{display:"flex",flexDirection:"row",justifyContent:p0.tabHeaderLayout||"flex-start",overflow:"auto"}')
    }, (props.tabs || []).map((tab, index) => {
      return /* @__PURE__ */ qwik._jsxQ("span", {
        class: `builder-tab-wrap ${state.activeTab === index ? "builder-tab-active" : ""}`,
        onClick$: /* @__PURE__ */ qwik.inlinedQrl((event) => {
          const [index2, props2, state2] = qwik.useLexicalScope();
          return onClick(props2, state2, index2);
        }, "Tabs_component_div_div_span_onClick_hSTBabAHGks", [
          index,
          props,
          state
        ]),
        style: {
          ...state.activeTab === index ? props.activeTabStyle : {}
        }
      }, null, /* @__PURE__ */ qwik._jsxC(blocks.Blocks, {
        get parent() {
          return props.builderBlock.id;
        },
        path: `tabs.${index}.label`,
        get blocks() {
          return tab.label;
        },
        get context() {
          return props.builderContext;
        },
        get registeredComponents() {
          return props.builderComponents;
        },
        get linkComponent() {
          return props.builderLinkComponent;
        },
        [qwik._IMMUTABLE]: {
          blocks: qwik._wrapProp(tab, "label"),
          context: qwik._fnSignal((p0) => p0.builderContext, [
            props
          ], "p0.builderContext"),
          linkComponent: qwik._fnSignal((p0) => p0.builderLinkComponent, [
            props
          ], "p0.builderLinkComponent"),
          parent: qwik._fnSignal((p0) => p0.builderBlock.id, [
            props
          ], "p0.builderBlock.id"),
          registeredComponents: qwik._fnSignal((p0) => p0.builderComponents, [
            props
          ], "p0.builderComponents")
        }
      }, 3, "6k_0"), 0, index);
    }), 1, null),
    activeTabContent(props, state, state.activeTab) ? /* @__PURE__ */ qwik._jsxQ("div", null, null, /* @__PURE__ */ qwik._jsxC(blocks.Blocks, {
      get parent() {
        return props.builderBlock.id;
      },
      get path() {
        return `tabs.${state.activeTab}.content`;
      },
      blocks: activeTabContent(props, state, state.activeTab),
      get context() {
        return props.builderContext;
      },
      get registeredComponents() {
        return props.builderComponents;
      },
      get linkComponent() {
        return props.builderLinkComponent;
      },
      [qwik._IMMUTABLE]: {
        context: qwik._fnSignal((p0) => p0.builderContext, [
          props
        ], "p0.builderContext"),
        linkComponent: qwik._fnSignal((p0) => p0.builderLinkComponent, [
          props
        ], "p0.builderLinkComponent"),
        parent: qwik._fnSignal((p0) => p0.builderBlock.id, [
          props
        ], "p0.builderBlock.id"),
        path: qwik._fnSignal((p0) => `tabs.${p0.activeTab}.content`, [
          state
        ], "`tabs.${p0.activeTab}.content`"),
        registeredComponents: qwik._fnSignal((p0) => p0.builderComponents, [
          props
        ], "p0.builderComponents")
      }
    }, 3, "6k_1"), 1, "6k_2") : null
  ], 1, "6k_3");
}, "Tabs_component_MhWcxXy0lMY"));
exports.Tabs = Tabs;
exports.activeTabContent = activeTabContent;
exports.default = Tabs;
exports.onClick = onClick;
