"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const qwik = require("@builder.io/qwik");
const inlinedStyles = require("../../inlined-styles.qwik.cjs");
const styles_helpers = require("./styles.helpers.qwik.cjs");
const ContentStyles = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const state = qwik.useStore({
    injectedStyles: `
${styles_helpers.getCss({
      cssCode: props.cssCode,
      contentId: props.contentId
    })}
${styles_helpers.getFontCss({
      customFonts: props.customFonts
    })}
${styles_helpers.getDefaultStyles(props.isNestedRender)}
`.trim()
  });
  return /* @__PURE__ */ qwik._jsxC(inlinedStyles.InlinedStyles, {
    id: "builderio-content",
    get styles() {
      return state.injectedStyles;
    },
    get nonce() {
      return props.nonce;
    },
    [qwik._IMMUTABLE]: {
      id: qwik._IMMUTABLE,
      nonce: qwik._fnSignal((p0) => p0.nonce, [
        props
      ], "p0.nonce"),
      styles: qwik._fnSignal((p0) => p0.injectedStyles, [
        state
      ], "p0.injectedStyles")
    }
  }, 3, "8O_0");
}, "ContentStyles_component_Qbhu1myPWm0"));
exports.ContentStyles = ContentStyles;
exports.default = ContentStyles;
