import { componentQrl, inlinedQrl, _jsxS, _fnSignal } from "@builder.io/qwik";
import { isEditing } from "../../functions/is-editing.qwik.mjs";
const ImgComponent = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  return /* @__PURE__ */ _jsxS("img", {
    ...props.attributes
  }, {
    alt: _fnSignal((p0) => p0.altText, [
      props
    ], "p0.altText"),
    src: _fnSignal((p0) => p0.imgSrc || p0.image, [
      props
    ], "p0.imgSrc||p0.image"),
    style: _fnSignal((p0) => ({
      objectFit: p0.backgroundSize || "cover",
      objectPosition: p0.backgroundPosition || "center"
    }), [
      props
    ], '{objectFit:p0.backgroundSize||"cover",objectPosition:p0.backgroundPosition||"center"}')
  }, 0, isEditing() && props.imgSrc || "default-key");
}, "ImgComponent_component_FXvIDBSffO8"));
export {
  ImgComponent,
  ImgComponent as default
};
