"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const build = require("@builder.io/qwik/build");
const browser = require("./browser-runtime/browser.qwik.cjs");
const edgeRuntime = require("./edge-runtime/edge-runtime.qwik.cjs");
const shouldForceBrowserRuntimeInNode = require("./should-force-browser-runtime-in-node.qwik.cjs");
const chooseBrowserOrServerEval = (args) => build.isBrowser || shouldForceBrowserRuntimeInNode.shouldForceBrowserRuntimeInNode({
  shouldLogWarning: true
}) ? browser.runInBrowser(args) : edgeRuntime.runInEdge(args);
exports.chooseBrowserOrServerEval = chooseBrowserOrServerEval;
