"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const nullable = require("./nullable.qwik.cjs");
const userAttributes = require("./user-attributes.qwik.cjs");
const getDefaultCanTrack = (canTrack) => {
  const result = nullable.checkIsDefined(canTrack) ? canTrack : true;
  userAttributes.userAttributesService.setCanTrack(result);
  return result;
};
exports.getDefaultCanTrack = getDefaultCanTrack;
