"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const qwik = require("@builder.io/qwik");
const dynamicRenderer = require("../../components/dynamic-renderer/dynamic-renderer.qwik.cjs");
const getClassPropName = require("../../functions/get-class-prop-name.qwik.cjs");
const attrs = function attrs2(props, state) {
  return {
    ...props.attributes,
    [getClassPropName.getClassPropName()]: `${props.link ? "" : "builder-button"} ${props.attributes[getClassPropName.getClassPropName()] || ""}`,
    ...props.link ? {
      href: props.link,
      target: props.openLinkInNewTab ? "_blank" : void 0,
      role: "link"
    } : {
      role: "button"
    }
  };
};
const Button = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  return /* @__PURE__ */ qwik._jsxC(dynamicRenderer.DynamicRenderer, {
    attributes: attrs(props),
    get TagName() {
      return props.link ? props.builderLinkComponent || "a" : "button";
    },
    actionAttributes: {},
    children: qwik._fnSignal((p0) => p0.text, [
      props
    ], "p0.text"),
    [qwik._IMMUTABLE]: {
      TagName: qwik._fnSignal((p0) => p0.link ? p0.builderLinkComponent || "a" : "button", [
        props
      ], 'p0.link?p0.builderLinkComponent||"a":"button"'),
      actionAttributes: qwik._IMMUTABLE
    }
  }, 3, "jc_0");
}, "Button_component_gJoMUICXoUQ"));
exports.Button = Button;
exports.attrs = attrs;
exports.default = Button;
