"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const qwik = require("@builder.io/qwik");
const builder_context = require("../../../context/builder.context.qwik.cjs");
const block = require("../block.qwik.cjs");
const RepeatedBlock = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const state = qwik.useStore({
    store: props.repeatContext
  });
  qwik.useContextProvider(builder_context, state.store);
  qwik.useTaskQrl(/* @__PURE__ */ qwik.inlinedQrl(({ track }) => {
    const [props2, state2] = qwik.useLexicalScope();
    track(() => props2.repeatContext);
    state2.store = props2.repeatContext;
  }, "RepeatedBlock_component_useTask_gy7uLKXBUbk", [
    props,
    state
  ]));
  return /* @__PURE__ */ qwik._jsxC(block.Block, {
    get block() {
      return props.block;
    },
    get context() {
      return state.store;
    },
    get registeredComponents() {
      return props.registeredComponents;
    },
    get linkComponent() {
      return props.linkComponent;
    },
    [qwik._IMMUTABLE]: {
      block: qwik._fnSignal((p0) => p0.block, [
        props
      ], "p0.block"),
      context: qwik._fnSignal((p0) => p0.store, [
        state
      ], "p0.store"),
      linkComponent: qwik._fnSignal((p0) => p0.linkComponent, [
        props
      ], "p0.linkComponent"),
      registeredComponents: qwik._fnSignal((p0) => p0.registeredComponents, [
        props
      ], "p0.registeredComponents")
    }
  }, 3, "GO_0");
}, "RepeatedBlock_component_JK1l2jKcfwA"));
exports.RepeatedBlock = RepeatedBlock;
exports.default = RepeatedBlock;
