"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const componentInfo = require("../blocks/custom-code/component-info.qwik.cjs");
const customCode = require("../blocks/custom-code/custom-code.qwik.cjs");
const componentInfo$1 = require("../blocks/embed/component-info.qwik.cjs");
const embed = require("../blocks/embed/embed.qwik.cjs");
const componentInfo$2 = require("../blocks/form/form/component-info.qwik.cjs");
const form = require("../blocks/form/form/form.qwik.cjs");
const componentInfo$3 = require("../blocks/form/input/component-info.qwik.cjs");
const input = require("../blocks/form/input/input.qwik.cjs");
const componentInfo$5 = require("../blocks/form/select/component-info.qwik.cjs");
const select = require("../blocks/form/select/select.qwik.cjs");
const componentInfo$4 = require("../blocks/form/submit-button/component-info.qwik.cjs");
const submitButton = require("../blocks/form/submit-button/submit-button.qwik.cjs");
const componentInfo$6 = require("../blocks/form/textarea/component-info.qwik.cjs");
const textarea = require("../blocks/form/textarea/textarea.qwik.cjs");
const componentInfo$7 = require("../blocks/img/component-info.qwik.cjs");
const img = require("../blocks/img/img.qwik.cjs");
const componentInfo$8 = require("../blocks/video/component-info.qwik.cjs");
const video = require("../blocks/video/video.qwik.cjs");
const getExtraComponents = () => [
  {
    component: customCode.CustomCode,
    ...componentInfo.componentInfo
  },
  {
    component: embed.Embed,
    ...componentInfo$1.componentInfo
  },
  ...[
    {
      component: form.FormComponent,
      ...componentInfo$2.componentInfo
    },
    {
      component: input.FormInputComponent,
      ...componentInfo$3.componentInfo
    },
    {
      component: submitButton.SubmitButton,
      ...componentInfo$4.componentInfo
    },
    {
      component: select.SelectComponent,
      ...componentInfo$5.componentInfo
    },
    {
      component: textarea.Textarea,
      ...componentInfo$6.componentInfo
    }
  ],
  {
    component: img.ImgComponent,
    ...componentInfo$7.componentInfo
  },
  {
    component: video.Video,
    ...componentInfo$8.componentInfo
  }
];
exports.getExtraComponents = getExtraComponents;
