import { shouldForceBrowserRuntimeInNode } from "../should-force-browser-runtime-in-node.qwik.mjs";
import ivm from "isolated-vm";
import { setIvm } from "./node-runtime.qwik.mjs";
const initializeNodeRuntime = (args) => {
  if (shouldForceBrowserRuntimeInNode({
    shouldLogWarning: true
  }))
    return;
  const { ivmIsolateOptions } = args || {};
  setIvm(ivm, ivmIsolateOptions);
};
export {
  initializeNodeRuntime
};
