"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const isBrowser = require("./is-browser.qwik.cjs");
const settings = {};
function setEditorSettings(newSettings) {
  if (isBrowser.isBrowser()) {
    Object.assign(settings, newSettings);
    const message = {
      type: "builder.settingsChange",
      data: settings
    };
    parent.postMessage(message, "*");
  }
}
exports.setEditorSettings = setEditorSettings;
